[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TBookmarkList.CurrentRowSelected

Indicates if the current row in the Dataset is selected.

## Declaration

Source position: dbgrids.pas line 184

`public property TBookmarkList.CurrentRowSelected : Boolean read GetCurrentRowSelected write SetCurrentRowSelected;`

## Description

CurrentRowSelected is a Boolean property which indicates if the current row in the Dataset is selected.

GetCurrentRowSelected is the read access specifier for the property value. GetCurrentRowSelected checks to see if the Bookmark for the current row exists in BookmarkList.

SetCurrentRowSelected is the write access specifier for the property value. SetCurrentRowSelected tries to locate a Bookmark for the current row in the Dataset, and adds or removes the Bookmark based on the AValue argument. The Grid control is redrawn after changing the selection state for the row.